PLplot: gcw.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Functions
gcw.h File Reference
`#include "plDevs.h"`
`#include "plplotP.h"`
`#include "drivers.h"`
`#include <math.h>`
`#include <stdio.h>`
`#include <sys/stat.h>`
`#include <glib.h>`
`#include <gtk/gtk.h>`
`#include <libgnomecanvas/libgnomecanvas.h>`
`#include <libart_lgpl/libart.h>`
`#include <libgnomeprint/gnome-print.h>`

Go to the source code of this file.

## Classes
struct | GcwPLdev

## Macros
#define | VSCALE ( 32. )
#define | DEVICE_PIXELS_PER_MM ( 3.4 )
#define | VIRTUAL_PIXELS_PER_MM ( DEVICE_PIXELS_PER_MM * VSCALE )
#define | MM_PER_IN ( 25.4 )
#define | DEVICE_PIXELS_PER_IN ( DEVICE_PIXELS_PER_MM * MM_PER_IN )
#define | VIRTUAL_PIXELS_PER_IN ( VIRTUAL_PIXELS_PER_MM * MM_PER_IN )
#define | CANVAS_WIDTH ( 10. )
#define | CANVAS_HEIGHT ( 7.5 )
#define | ZOOM100 ( 1.0 )
#define | ZOOMSTEP ( 1.25 )

## Functions
void | gcw_use_text (PLINT use_text)
void | gcw_use_pixmap (PLINT use_pixmap)
void | gcw_use_hrshsym (PLINT use_hrshsym)
void | gcw_debug (char *msg)
PLDLLIMPEXP_GNOME2 void | gcw_set_gdk_color ()
PLDLLIMPEXP_GNOME2 void | gcw_clear_background ()
PLDLLIMPEXP_GNOME2 void | gcw_init_canvas (GnomeCanvas *canvas)
PLDLLIMPEXP_GNOME2 void | gcw_install_canvas (GnomeCanvas *canvas)
PLDLLIMPEXP_GNOME2 void | gcw_set_device_size (PLINT width, PLINT height)
void | gcw_set_canvas_size (GnomeCanvas *canvas, PLINT width, PLINT height)
void | gcw_set_canvas_zoom (GnomeCanvas *canvas, PLFLT magnification)
void | gcw_use_persistence (PLINT use_persistence)

## Macro Definition Documentation

#define CANVAS_HEIGHT ( 7.5 )

Definition at line 118 of file gcw.h.

#define CANVAS_WIDTH ( 10. )

Definition at line 117 of file gcw.h.

#define DEVICE_PIXELS_PER_IN ( DEVICE_PIXELS_PER_MM * MM_PER_IN )

Definition at line 113 of file gcw.h.

#define DEVICE_PIXELS_PER_MM ( 3.4 )

Definition at line 106 of file gcw.h.

#define MM_PER_IN ( 25.4 )

Definition at line 110 of file gcw.h.

#define VIRTUAL_PIXELS_PER_IN ( VIRTUAL_PIXELS_PER_MM * MM_PER_IN )

Definition at line 114 of file gcw.h.

#define VIRTUAL_PIXELS_PER_MM ( DEVICE_PIXELS_PER_MM * VSCALE )

Definition at line 107 of file gcw.h.

#define VSCALE ( 32. )

Definition at line 103 of file gcw.h.

#define ZOOM100 ( 1.0 )

Definition at line 121 of file gcw.h.

#define ZOOMSTEP ( 1.25 )

Definition at line 122 of file gcw.h.

## Function Documentation

PLDLLIMPEXP_GNOME2 void gcw_clear_background | ( |  | ) |

Definition at line 82 of file gcw-lib.c.

void gcw_debug | ( | char * | msg | ) |

Definition at line 35 of file gcw-lib.c.

PLDLLIMPEXP_GNOME2 void gcw_init_canvas | ( | GnomeCanvas * | canvas | ) |

Definition at line 125 of file gcw-lib.c.

PLDLLIMPEXP_GNOME2 void gcw_install_canvas | ( | GnomeCanvas * | canvas | ) |

Definition at line 539 of file gcw-lib.c.

void gcw_set_canvas_size | ( | GnomeCanvas * | canvas,
|  | PLINT | width,
|  | PLINT | height
| ) |  |

Definition at line 728 of file gcw-lib.c.

void gcw_set_canvas_zoom | ( | GnomeCanvas * | canvas,
|  | PLFLT | magnification
| ) |  |

Definition at line 839 of file gcw-lib.c.

PLDLLIMPEXP_GNOME2 void gcw_set_device_size | ( | PLINT | width,
|  | PLINT | height
| ) |  |

Definition at line 700 of file gcw-lib.c.

PLDLLIMPEXP_GNOME2 void gcw_set_gdk_color | ( |  | ) |

Definition at line 50 of file gcw-lib.c.

void gcw_use_hrshsym | ( | PLINT | use_hrshsym | ) |

Definition at line 933 of file gcw-lib.c.

void gcw_use_persistence | ( | PLINT | use_persistence | ) |

Definition at line 956 of file gcw-lib.c.

void gcw_use_pixmap | ( | PLINT | use_pixmap | ) |

Definition at line 911 of file gcw-lib.c.

void gcw_use_text | ( | PLINT | use_text | ) |

Definition at line 881 of file gcw-lib.c.